#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int xsize,ysize;
int i,j;

int main(int argc,char *argv[]) {
  if (argc!=3) {
    fprintf(stderr,"Usage: %s xsize ysize\n  both sizes >=1\n",argv[0]);
    exit(1);
  }
  xsize=atoi(argv[1]);
  if (xsize<1) {
    fprintf(stderr,"%s() -- xsize too small (should be >=1)\n",argv[0]);
    exit(2);
  }
  ysize=atoi(argv[2]);
  if (ysize<1) {
    fprintf(stderr,"%s() -- ysize too small (should be >=1)\n",argv[0]);
    exit(3);
  }
  printf("1\n");
  printf("%d %d\n",(xsize+1)*(ysize+1),3*ysize*xsize+xsize+ysize);
  for (i=1;i<=xsize;i++) {
    if (i!=1) printf("  ");
    for (j=1;j<=ysize;j++) {
      if (j!=1) printf("  ");
      printf("%d %d",(j-1)*(xsize+1)+i,(j-1)*(xsize+1)+i+1);
      printf("  %d %d",(j-1)*(xsize+1)+i,j*(xsize+1)+i);
      printf("  %d %d",(j-1)*(xsize+1)+i,j*(xsize+1)+i+1);
    }
    printf("  %d %d",ysize*(xsize+1)+i,ysize*(xsize+1)+i+1);
  }
  for (j=1;j<=ysize;j++) printf("  %d %d",(j)*(xsize+1),(j+1)*(xsize+1));
  printf("\n");
  return(0);
}
