#include <stdlib.h>
#include <stdio.h>
#include <string.h>

int size;
int i;

int main(int argc,char *argv[]) {
  if (argc!=2) {
    fprintf(stderr,"Usage: %s size \n  size>=1\n",argv[0]);
    exit(1);
  }
  size=atoi(argv[1]);
  if (size<1) {
    fprintf(stderr,"%s() -- size too small (should be >=1)\n",argv[0]);
    exit(2);
  }
  if (size==3) {
    fprintf(stderr,"%s() -- size 3 mag lekker niet\n",argv[0]);
    exit(3);
  }

  printf("1\n");
  printf("%d %d\n",size,(size-1)*2);
  for (i=1;i<size;i++) {
    if (i!=1) printf("  %d %d",i,size);
    else printf("%d %d",i,size);
    if (i!=1) printf("  %d %d",i-1,i);
    else printf("  %d %d",size-1,i);
  }
  printf("\n");
  return(0);
}
