/*
   input-generator for "Manhattan"
   (c) 28/09/'97 by Meinte Boersma of the NKP'97 Company
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#define grid 100

int bernoulli (float chance)
{
  float x = rand()%grid;
  return( (x/100)<chance );
}

int main (void)
{
  int n, m, stap, i, j;
  float chance;

  fprintf(stderr, "n=");
  scanf("%d", &n);
  fprintf(stderr, "m=");
  scanf("%d", &m);
  fprintf(stderr, "max(stap)=");
  scanf("%d", &stap);
  fprintf(stderr, "chance=");
  scanf("%f", &chance);

  srand((unsigned int)time(NULL));

  printf("1\n%d %d %d\n", n, m, stap);
  for (i=0; i<n; i++) {
    for (j=0; j<m; j++) {
      printf("%c", bernoulli(chance)?'x':'+');
    }
    printf("\n");
  }
  return(0);
}
