#include <stdio.h>

#define MAXRUNS 128
#define MAXEDGES 1024

typedef struct edge {
  int from,label,to;
} edgestruct;

int vertices[MAXRUNS];
int edges[MAXRUNS];
edgestruct edge[MAXRUNS][MAXEDGES];

int main() {
  int runs=0;
  char c;
  int r,e;

  while (scanf(" %d",&vertices[runs])!=EOF) {
    scanf(" %c",&c);
    while (c=='%') scanf("%*[^\n] %c",&c); /* "% commentaar \n;" */
    edges[runs]=0;
    while (c!='.') {
      scanf(" %d %d %d %c",
	    &edge[runs][edges[runs]].from,
	    &edge[runs][edges[runs]].label,
	    &edge[runs][edges[runs]].to,
	    &c);
      edges[runs]++;
      fprintf(stderr,".");
    }
    scanf(" -1"); /* may be trailing -1 */
    runs++;
    fprintf(stderr,"X");
  }

  printf("%d\n",runs/2);
  for (r=0;r<runs;r++) {
    printf("%d %d\n",vertices[r],edges[r]);
    for (e=0;e<edges[r];e++) {
      if (e) printf("  ");
      printf("%d %d %d",edge[r][e].from,edge[r][e].label,edge[r][e].to);
    }
    printf("\n");
  }

  return(0);
}
